Dig block
Starts (or stops, when `cancel` is set) breaking a block at a specific position. Unlike MouseClick, the target is explicit, with no raytrace from the current look direction is performed.
Starts (or stops, when cancel is set) breaking a block at a specific
position. Unlike MouseClick, the target is explicit, with no raytrace from
the current look direction is performed.
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
Format
uuidbot_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
position*
Block to break. Must be within reach of the bot.
cancel?boolean
If true, cancel an in-progress dig on this block instead of starting one.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/actions/dig" \ -H "Content-Type: application/json" \ -d '{ "position": { "x": 0, "y": 0, "z": 0 } }'{ "result": { "actionId": "4a2794ff-94cb-4bac-8d36-d5fb36c563a0", "status": "BOT_ACTION_STATUS_UNSPECIFIED", "error": "string" }}How is this page?
